<?php
/**
 * @file
 * Locker include file.
 */

/**
 * Using function locker_unlock_form_print() to get form.
 */
function locker_unlock_form_print() {
  if (empty(variable_get('locker_site_locked'))) {
    drupal_goto('<front>');
  }

  $locker_access_options = variable_get('locker_access_options', 'user_pass');

  $get_form = drupal_get_form('locker_unlock_form');
  $form = drupal_render($get_form);
  $locker_login_error = variable_get('locker_login_error', NULL);
  $error_message = NULL;
  
  if ($locker_login_error) {
    if ($locker_access_options == 'user_pass') {
      $error_message = 'Bad Username or Password';
    }
    else if ($locker_access_options == 'passphrase') {
      $error_message = 'Bad Passphrase';
    }

    variable_del('locker_login_error');
  }
  
  if ($locker_access_options == 'user_pass') {
      $description = 'Custom Username/password';
  }
  else if ($locker_access_options == 'passphrase') {
      $description = 'Passphrase';
  }

  
  print theme('locker_unlock', array('form' => $form, 'error_message' =>
  $error_message, 'description' => $description));
  drupal_exit();
}
